#!/bin/bash
trap '
  trap - INT # restore default INT handler
  kill -s INT "$$"
' INT
MODEST="bash ../Modest/modes-slurm.sh"
MODESTEXTRA="--partition m610 --nodes 10 --cores 4 --thread-budget 16"
REPETITIONS=3
THREADS=4
EXT=.modest
run(){
	echo 
	for i in `seq 1 $REPETITIONS`
	do
		echo "${1}${EXT}: -M ${2} -L ${3} -E ${4} -W ${5} (${i}/${REPETITIONS})"
		$MODEST models/$1${EXT} $MODESTEXTRA --unsafe -D -Y -J $THREADS -W $3 -M $2 -R Uniform -O results/$1.$3.$2.Uniform.$i.txt
	done
}

# queues-with-breakdowns-nd.modest
run queues-with-breakdowns-nd MA 0.001

# bitcoin-attack.modest
MODESTEXTRA="${MODESTEXTRA} --max-run-length 0 --relative-width"
run bitcoin-attack MA 0.1
