#!/bin/bash
trap '
  trap - INT # restore default INT handler
  kill -s INT "$$"
' INT
MODEST="bash ../Modest/modes-slurm.sh"
MODESTEXTRA="--partition m610 --nodes 10 --cores 4 --thread-budget 16"
REPETITIONS=3
THREADS=4
EXT=.modest
run(){
	echo 
	for i in `seq 1 $REPETITIONS`
	do
		echo "${1}${EXT}: -M ${2} -S ${3} -E ${4} -W ${5} (${i}/${REPETITIONS})"
		$MODEST models/$1${EXT} $MODESTEXTRA --unsafe -D -Y -J $THREADS -W $5 -M $2 -R Uniform -S $3 -E $4 -O results/$1.$4.$2.$3.$i.txt
	done
}

# firewire.modest
run firewire STA ASAP "TIME_BOUND=4000" 0.005
run firewire STA ALAP "TIME_BOUND=4000" 0.005
run firewire STA Uniform "TIME_BOUND=4000" 0.005

# csmacd-n.modest
run csmacd-n STA ASAP "N=2,K=1,D=1800" 0.005
run csmacd-n STA ALAP "N=2,K=1,D=1800" 0.005
run csmacd-n STA Uniform "N=2,K=1,D=1800" 0.005
run csmacd-n STA ASAP "N=3,K=1,D=2700" 0.005
run csmacd-n STA ALAP "N=3,K=1,D=2700" 0.005
run csmacd-n STA Uniform "N=3,K=1,D=2700" 0.005
run csmacd-n STA ASAP "N=4,K=1,D=3600" 0.005
run csmacd-n STA ALAP "N=4,K=1,D=3600" 0.005
run csmacd-n STA Uniform "N=4,K=1,D=3600" 0.005

# wlan-large.modest
run wlan-large STA ASAP "K=2" 0.001
run wlan-large STA ALAP "K=2" 0.001
run wlan-large STA Uniform "K=2" 0.001
