#!/bin/bash
trap '
  trap - INT # restore default INT handler
  kill -s INT "$$"
' INT
MODEST="bash ../Modest/modes-slurm.sh"
THREADS=4
MODESTEXTRA="--partition m610 --nodes 10 --cores ${THREADS} --thread-budget 16 --batch-size 1000"
REPETITIONS=3
EXT=.modest
run(){
	echo 
	for i in `seq 1 $REPETITIONS`
	do
		for discr in 1 2 4
		do
			echo "${1}${EXT}: -L ${3} ${2}/${discr} (${i}/${REPETITIONS})"
			$MODEST models/$1${EXT} $MODESTEXTRA --unsafe -D -Y -J $THREADS -W 0.005 -L $3 $2/$discr --collect-schedulers -O results/$1.$2-$discr.$3.$i.txt
		done
	done
}

# M1
# Proposition 3
run m1 "hist(v,e)" 10000
run m1 "hist(v,o)" 10000
# Proposition 8
run m1 "ml(v,e)"   10000
run m1 "ml(v,o)"   10000
# Proposition 9
run m1 "ml(t,e)"   10000
run m1 "ml(t,o)"   10000
# Proposition 10
run m1 "ml(e)"     10000
run m1 "ml(o)"     10000

# M2
# Proposition 5
run m2 "hist(o)"   10000
run m2 "ml(v,o)"   10000

# M3
# Proposition 6
run m3 "hist(t,e)" 10000
run m3 "ml(v,e)"   10000
run m3 "ml(t,e)"   10000
# Proposition 9
# run m3 "ml(t,e)" 10000
run m3 "ml(t,o)"   10000
# Proposition 10
run m3 "ml(e)"     10000
run m3 "ml(o)"     10000
# Proposition 14
run m3 "hist(t)"   10000
run m3 "ml(v)"     10000
run m3 "ml(t)"     10000

# M4
# Proposition 7
run m4 "ml(t,e)"   10000
run m4 "ml(e)"     10000
# Proposition 15
run m4 "ml(t)"     10000
run m4 "ml()"      10000

# M5
# Proposition 11
run m5 "ml(t,o)"   10000
run m5 "ml(o)"     10000

# M6
# Proposition 13
run m6 "hist(v)"   10000
run m6 "ml(v)"     10000
